Package Gnumed :: Package wxpython :: Module gmEMRStructWidgets :: Class cEpisodeSelectionPhraseWheel |
[frames] | no frames]

# Class cEpisodeSelectionPhraseWheel

source code

                   wx.TextCtrl --+
                                 |
    gmPhraseWheel.cPhraseWheelBase --+
                                     |
            gmPhraseWheel.cPhraseWheel --+
                                         |
                                        cEpisodeSelectionPhraseWheel

Let user select an episode.

The user can select an episode from the existing episodes of a patient. Selection is done with a phrasewheel so the user can type the episode name and matches will be shown. Typing "*" will show the entire list of episodes. Closed episodes will be marked as such. If the user types an episode name not in the list of existing episodes a new episode can be created from it if the programmer activated that feature.

If keyword <patient_id> is set to None or left out the control will listen to patient change signals and therefore act on gmPerson.gmCurrentPatient() changes.

Instance Methods
__init__(self, *args, **kwargs) | source code
set_patient(self, patient_id=None) | source code
GetData(self, can_create=False, as_instance=False, is_open=False) Retrieve the data associated with the displayed string(s). | source code
Inherited from `gmPhraseWheel.cPhraseWheel`: `SetData` Inherited from `gmPhraseWheel.cPhraseWheelBase`: `Disable`, `Enable`, `SetText`, `add_callback_on_lose_focus`, `add_callback_on_modified`, `add_callback_on_selection`, `add_callback_on_set_focus`, `display_as_valid`, `enable_default_spellchecker`, `set_context`, `set_from_instance`, `set_from_pk`, `unset_context`

Class Variables
Inherited from `gmPhraseWheel.cPhraseWheelBase`: `accepted_chars`, `data`, `final_regex`, `final_regex_error_msg`, `speller_word_separators`, `static_tooltip_extra`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: gmPhraseWheel.cPhraseWheelBase.__init__

### GetData(self, can_create=False, as_instance=False, is_open=False) | source code
    Retrieve the data associated with the displayed string(s).

    - self._create_data() must set self.data if possible (/successful)
Overrides: gmPhraseWheel.cPhraseWheelBase.GetData (inherited documentation)